#===============================================================================
#. Name   : Correlao de Pearson vs Spearman
#. Author : J.C.Faria
# Date   : 2024-06-09 21:30:36
# Aim    : Aprendizado
# Mail   : <<<joselaudio.faria@gmail.com>>>
#===============================================================================

# https://pt.wikipedia.org/wiki/Coeficiente_de_correla%C3%A7%C3%A3o_de_postos_de_Spearman

#. Criando duas variveis
Y1 <- c(
 106,
 86,
 100,
 101,
 99,
 103,
 97,
 113,
 112,
 110
)

Y2 <- c(
 07,
 00,
 27,
 50,
 28,
 29,
 20,
 12,
 06,
 17
)

Y2 <- c(
 07,
 #00,
 25,
 27,
 #50,
 20,
 28,
 29,
 20,
 12,
 06,
 17
)
# Observar substituio de valores extremos

plot(Y2 ~ Y1,
     pch=19)

str(cor)

#.. Pearson
cor(Y1,
    Y2)

#.. Pearson
cor(Y1,
    Y2,
    method = "spearman")

#. Associao no linear
Y3 <- rnorm(20,
            5,
            1)

Y4 <- exp(Y3/0.9)

plot(Y4 ~ Y3,
     pch=19)

# Mdias
abline(v=mean(Y3),
       col=2)
abline(h=mean(Y4),
       col=3)

#.. Pearson
cor(Y3,
    Y4)

#.. Spearman
cor(Y3,
    Y4,
    method = "spearman")
